Skip to main content
`Ctrl`+`K`

# PEPGetConverged

Gets the number of converged eigenpairs.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetConverged(PEP pep,PetscInt *nconv)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- nconv - number of converged eigenpairs

## Notes

This function should be called after `PEPSolve()` has finished.

The value `nconv` may be different from the number of requested solutions `nev`, but not larger than `ncv`, see `PEPSetDimensions()`.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetDimensions()`, `PEPSolve()`, `PEPGetEigenpair()`

## Level

beginner

## Location

src/pep/interface/pepsolve.c

## Examples

src/pep/tutorials/ex16.c
src/pep/tutorials/ex40.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages